controller.h File Reference
`#include <ubuntu/status.h>`
`#include <ubuntu/visibility.h>`
Include dependency graph for controller.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef UbuntuApplicationLocationServiceStatus | UALocationServiceStatus
typedef unsigned int | UALocationServiceStatusFlags
typedef void(* | UALocationServiceStatusChangedHandler) (UALocationServiceStatusFlags flags, void *context)
| Callback type that is invoked when the location service status changes. More...
typedef struct UbuntuApplicationLocationServiceController | UALocationServiceController
| Opaque type encapsulating a controller the location service. More...

## Enumerations

enum | UbuntuApplicationLocationServiceStatus { UA_LOCATION_SERVICE_ENABLED = 1 << 0, UA_LOCATION_SERVICE_DISABLED = 1 << 1, UA_LOCATION_SERVICE_GPS_ENABLED = 1 << 2, UA_LOCATION_SERVICE_GPS_DISABLED = 1 << 3 }
| Location service status. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_location_service_controller_ref (UALocationServiceController *controller)
| Increments the reference count of the controller instance. More...
UBUNTU_DLL_PUBLIC void | ua_location_service_controller_unref (UALocationServiceController *controller)
| Decrements the reference count of the controller instance. More...
UBUNTU_DLL_PUBLIC void | ua_location_service_controller_set_status_changed_handler (UALocationServiceController *controller, UALocationServiceStatusChangedHandler handler, void *context)
| Sets the status changed handler of the controller instance. More...
UBUNTU_DLL_PUBLIC UStatus | ua_location_service_controller_query_status (UALocationServiceController *controller, UALocationServiceStatusFlags *out_flags)
| Query the status of the location service. More...
UBUNTU_DLL_PUBLIC UStatus | ua_location_service_controller_enable_service (UALocationServiceController *controller)
| Enables the location service. More...
UBUNTU_DLL_PUBLIC UStatus | ua_location_service_controller_disable_service (UALocationServiceController *controller)
| Disables the location service completely. More...
UBUNTU_DLL_PUBLIC UStatus | ua_location_service_controller_enable_gps (UALocationServiceController *controller)
| Enables all gps providers known to the location service. More...
UBUNTU_DLL_PUBLIC UStatus | ua_location_service_controller_disable_gps (UALocationServiceController *controller)
| Disables all gps providers known to the location service. More...

## Typedef Documentation

typedef UbuntuApplicationLocationServiceStatus UALocationServiceStatus

Definition at line 42 of file controller.h.

typedef unsigned int UALocationServiceStatusFlags

Definition at line 44 of file controller.h.